body {
    padding: 0;
    margin: 0;
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: #d0d0d0;
}

div.content {
    background-color: #fff;
    grid-column: 1/13;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    margin: 45px;
}

div.account {
    grid-column: 2/12;
    border: 5px solid #b5cd73;
    margin-top: 64px;
    height: 400px;
    display: grid;
    grid-template-columns: repeat(11, calc((100% - 200px) / 11));
    grid-column-gap: 20px;
    box-sizing: border-box;
    padding: 30px;
}

div.account > h1 {
    grid-column: 1/6;
}

div.account > div {
    grid-column: 1/13;
    display: flex;
    flex-wrap: wrap;
}

div.account > div img {
    width: 200px;
    height: 200px;
    border-radius: 5%;
}

div.account > div > div p {
    margin: 30px 40px;
}

div.account > div > div p:first-child {
    font-size: 18pt;
}

div.account > div > div a:first-of-type {
    background-color: #f2f2f2;
    border-radius: 5%;
    margin: 20px 20px 20px 40px;
    padding: 0 15px 10px 10px;
}

div.account > div > div a:last-of-type {
    border-radius: 50%;
    background-color: #f2f2f2;
    width: 40px;
    height: 40px;
    margin: 20px;
    padding: 5px;
}

div.account > div > div > div, div.account a {
    display: flex;
}

div.account > div div div a > div:first-child {
    width: 40px;
    height: 40px;
    background-size: 280px 400px;
    background-repeat: no-repeat;
}

div.account > div div div a:first-of-type > div:first-child {
    background-image: url("../img/sprites.svg");
    background-position: -205px 0px;
}

div.account > div div div a > div:last-child{
    transform: translateY(15px);
}

div.account > div div div a:nth-of-type(2) > div:first-child {
    background-image: url("../img/sprites.svg");
    background-position: 4px -58px;
    background-size: 230px 350px;
    transform: translateY(6px);
}

a {
    text-decoration: none;
    color: #000;
}

.collection {
    grid-column: 2/7;
}

.playlists > div, .likeplaylists > div, .likepodcasts > div {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

figure {
    margin: 0;
}

figcaption {
    text-align: center;
    font-weight: bold;
}

figcaption a:hover {
    color: red;
}

.playlists > div > div figure, .add, .likeplaylists > div > div figure, .likepodcasts > div > div figure {
    background-color: #d7d7d7;
    margin: 10px 10px;
}

.add > div, .playlists > div > div img:first-child, .likeplaylists > div > div img:first-child, .likepodcasts > div > div img:first-child {
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

.add > div {
    background: #a3a3a3;
}

.add > div div {
    background-image: url("../img/sprites.svg");
    background-size: 1000px 1000px;
    background-repeat: no-repeat;
    background-position: -750px -15px;
    width: 100px;
    height: 100px;
    margin: 0 auto;
    transform: translateY(50px);
}

.playlists > div > div img:last-of-type {
    position: absolute;
    margin-left: -180px;
    margin-top: 35px;
    width: 158px;
    height: 116px;
}

.list {
    display: none;
    grid-column: 7/13;
    height: 100%;
    background-color: #f2f2f2;
    padding: 0 25px;
}

.playlist1, .playlist2, .playlist3, .playlist4 {
    display: none;
}

.list > div:first-child {
    font-size: 14pt;
    display: flex;
    justify-content: space-between;
}

h2 {
    font-size: 20pt;
    margin-top: -5px;
}

@media (max-width: 960px) {
    body {
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }

    div.content {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }

    div.account {
        grid-column: 2/8;
        grid-template-columns: repeat(7, calc((100% - 120px) / 7));
        height: 400px;
    }
    
    div.account > h1 {
        grid-column: 1/8;
    }
    
    div.account > div {
        grid-column: 1/8;
        justify-content: center;
        margin-bottom: 300px;
    }
    
    div.account > div div div a:nth-of-type(2) > div:first-child {
        background-image: url("../img/sprites.svg");
        background-position: 4px -58px;
        background-size: 230px 350px;
        transform: translateY(6px);
    }
    
    .collection {
        grid-column: 2/4;
    }
    
    .list {
        grid-column: 4/9;
    }
}

@media (max-width: 876px) {
    div.account h1 {
        text-align: center;
    }
}

@media (max-width: 480px) {
    body {
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
        font-size: 10pt;
    }

    div.content {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }

    div.account {
        grid-column: 2/6;
        grid-template-columns: repeat(5, calc((100% - 80px) / 5));
        height: 700px;
    }
    
    div.account > h1 {
        grid-column: 1/6;
    }
    
    div.account > div {
        grid-column: 1/6;
    }
    
    div.account > div div div a:nth-of-type(2) > div:first-child {
        background-image: url("../img/sprites.svg");
        background-position: 4px -58px;
        background-size: 230px 350px;
        transform: translateY(6px);
    }

    div.account > div img {
        width: 100px;
        height: 100px;
    }
    
    .collection {
        grid-column: 1/7;
        margin: 0 auto;
    }
    
    div.account > div > div > div {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}